/*============================================================================
 *      MODICON, Inc., 1 High Street, North Andover, MA 01845, USA
 *      Copyright (c) $Date: 94/05/02 15:04:28 $ - All rights reserved.
 *
 *      No part of this document may be reproduced in any form
 *      without the express written consent of MODICON, Inc.
 *
 *=fdoc=======================================================================
 *
 * File:        mbpcheck.c
 *
 * Functions:
 * Name                 Description
 * -------------------- -----------
 * main                 This program checks to see if any modbus plus
 *								adapters are installed.
 *
 * Notes:       
 *
 * Author:      
 *
 * RCSID:
 *
 * RCS:
 * $Revision: 1.1 $
 * $State: R3_41 $
 * $Locker: $
 *
 * Revision History Log:
 *
 *
 *=fdoc=====================================================================*/


/* include */
#include <stdio.h>
#include <netbios.h>
#include <netlib.h>

/* prototypes */
void main( void );

/* global vars. */
NCB n_c_b;                          /* allocate an NCB */
unsigned char mbuffer[ 256 ];       /* allocate buffer area for response */
int lan_number;
int peer_number;

/*=doc========================================================================
 *
 * Function:    main
 *
 * Description: 	Sends the ncb_status command to each adapter in order to
 *						determine their presence and MODBUS+ address.
 *
 * Returns:     None
 *
 * Parameters:  None
 *
 * Notes:       
 *
 * Revision History Log:
 *
 *	NAME					DATE			COMMENT
 *	-----					-----			--------
 *=doc======================================================================*/


void main(void)
{
    /* CHECK FOR MODBUS PLUS ADAPTER 0 */
    n_c_b.NCB_BUFFER = &mbuffer[ 0 ];
    lan_number = 0;                 /* adapter number 0 */
    if( ncb_status( &n_c_b, lan_number ) != 0 ) {
        printf( "MODBUS PLUS Adapter %d board not found.\n", lan_number );
    }
    else {
        peer_number = ( int ) mbuffer[ 6 ];
        printf( "MODBUS PLUS Adapter %d identified as node %d.\n",
            lan_number, peer_number );
    }

    /* CHECK FOR MODBUS PLUS ADAPTER 1 */
    n_c_b.NCB_BUFFER = &mbuffer[ 0 ];
    lan_number = 1;                 /* adapter number 1 */
    if( ncb_status( &n_c_b, lan_number ) != 0 ) {
        printf( "MODBUS PLUS Adapter %d board not found.\n", lan_number );
    }
    else {
        peer_number = ( int ) mbuffer[ 6 ];
        printf( "MODBUS PLUS Adapter %d identified as node %d.\n",
            lan_number, peer_number );
    }
}

